package com.ruoyi.app.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;

public class EditHookBindBatch {

    private String batchNo;
    private String[] groupIds;
    private String []  hookNoListArr;
    private String slaughterCode;
    private Long distributeBatchId;

    /** 绑定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bindTime;
    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    @NotBlank(message = "批次号不能为空")
    public String getBatchNo()
    {
        return batchNo;
    }

    public void setGroupIds(String[] groupIds)
    {
        this.groupIds = groupIds;
    }

    public String[] getGroupIds()
    {
        return groupIds;
    }

    public void setHookNoListArr(String [] hookNoListArr)
    {
        this.hookNoListArr = hookNoListArr;
    }

    @NotNull(message = "吊钩号不能为空")
    @Size(min = 1,message = "吊钩号不能为空")
    public String [] getHookNoListArr()
    {
        return hookNoListArr;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码不能为空")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    @NotNull(message = "批次号不能为空")
    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }

    public void setBindTime(Date bindTime)
    {
        this.bindTime = bindTime;
    }

    public Date getBindTime()
    {
        return bindTime;
    }

    public String getUpdateBy()
    {
        return updateBy;
    }

    public void setUpdateBy(String updateBy)
    {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }

}
